Bug 137310 - FILEOPEN: 3D object is not visible
Summary: FILEOPEN: 3D object is not visible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.3.0 target:7.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: 103768 Regressions-imageHandling
  Show dependency treegraph
 
Reported: 2020-10-07 11:36 UTC by Xisco Faulí
Modified: 2021-09-02 00:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Before VS after ( LibreOffice 7.1 master ) (50.62 KB, image/png)
2020-10-07 11:36 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-10-07 11:36:52 UTC
Created attachment 166151 [details]
Before VS after ( LibreOffice 7.1 master )

Steps to reproduce:
1. Open attachment 128556 [details] from bug 103768

-> The image is blue. there should be a 3D duck instead. See image

Reproducible in

Version: 7.1.0.0.alpha0+
Build ID: ff5ca4e5fc6a9fb24b0eb6eb629210b024473f67
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-10-07 11:38:02 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1b02ba03bd62a712e15c15384a3d105d2c088120

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2018-02-13 21:49:57 +0900
committer	Tomaž Vajngerl <quikee@gmail.com>	2018-02-14 07:47:26 +0100
commit	1b02ba03bd62a712e15c15384a3d105d2c088120 (patch)
tree	b46f383c7ea60de65dbbede5b658a7babd813610
parent	733d77570771e2536d5ce1f18ba82f68ac6c22ee (diff)
shapes: don't use "GraphicURL" property, always use "Graphic"

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tomaž Vajngerl
Comment 2 Commit Notification 2021-08-30 20:17:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/56f593c9aa00f87fb8780060fece991b91b5c0a7

tdf#137310 ODF import: fix loading of images with multiple slashes in path

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2021-08-31 11:26:09 UTC
Verified in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 4f4452f6a74201e862971a79ba5bdcd06f3ba9ce
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 4 Commit Notification 2021-09-02 00:28:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/dc41ee96197b6b3901f1db51bed0bc2f694ca98a

tdf#137310 ODF import: fix loading of images with multiple slashes in path

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.